/*
 *  Lucidor - e-book reader
 *  Copyright © 2013  Mikael Ylikoski
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

Components.utils.import("chrome://lucidor/content/utils.jsm");

const XHTML_NS = "http://www.w3.org/1999/xhtml";
const XUL_NS = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul";

function init() {
    let tb = document.getElementById("commentbox");
    if (window.arguments[0].note.type == "text")
	tb.value = window.arguments[0].note.content;
}

function ok() {
    let tb = document.getElementById("commentbox");
    window.opener.update_note(window.arguments[0].note.id,
			      window.arguments[0].opendiv, tb.value,
			      (window.arguments[0].note.style == "highlight"));
    close();
}

function cancel() {
    close();
}

function unload() {
}
